Loading...
Searching...
No Matches
_HfsPPrivateFSData Struct Reference

`#include <hfs.h>`

## Data Fields

uint8_t * | alloc_map
HfsPPrivateFile * | allocation_file
HfsPPrivateFile * | attributes_file
char | bad_blocks_loaded
HfsPPrivateLinkExtent * | bad_blocks_xtent_list
unsigned int | bad_blocks_xtent_nb
HfsPPrivateFile * | catalog_file
uint8_t * | dirty_alloc_map
HfsPPrivateFile * | extents_file
char | free_geom
uint32_t | jib_start_block
uint32_t | jl_start_block
PedGeometry * | plus_geom
HfsPVolumeHeader * | vh
PedFileSystem * | wrapper

## Field Documentation

## alloc_map

uint8_t * _HfsPPrivateFSData::alloc_map

## allocation_file

HfsPPrivateFile * _HfsPPrivateFSData::allocation_file

## attributes_file

HfsPPrivateFile * _HfsPPrivateFSData::attributes_file

## bad_blocks_loaded

char _HfsPPrivateFSData::bad_blocks_loaded

## bad_blocks_xtent_list

HfsPPrivateLinkExtent * _HfsPPrivateFSData::bad_blocks_xtent_list

## bad_blocks_xtent_nb

unsigned int _HfsPPrivateFSData::bad_blocks_xtent_nb

## catalog_file

HfsPPrivateFile * _HfsPPrivateFSData::catalog_file

## dirty_alloc_map

uint8_t * _HfsPPrivateFSData::dirty_alloc_map

## extents_file

HfsPPrivateFile * _HfsPPrivateFSData::extents_file

## free_geom

char _HfsPPrivateFSData::free_geom

## jib_start_block

uint32_t _HfsPPrivateFSData::jib_start_block

## jl_start_block

uint32_t _HfsPPrivateFSData::jl_start_block

## plus_geom

PedGeometry * _HfsPPrivateFSData::plus_geom

## vh

HfsPVolumeHeader * _HfsPPrivateFSData::vh

## wrapper

PedFileSystem * _HfsPPrivateFSData::wrapper

The documentation for this struct was generated from the following files:

- libparted/fs/hfs/hfs.h
- libparted/fs/r/hfs/hfs.h